Bug 147604 - gnome-terminal does NOTHING USEFUL when pasting non-ascii clipboard text
Summary: gnome-terminal does NOTHING USEFUL when pasting non-ascii clipboard text
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: vte   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-09 18:29 UTC by Stig Hackvan
Modified: 2008-02-05 21:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 17:02:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stig Hackvan 2005-02-09 18:29:14 UTC
Description of problem:

gnome-terminal needs to do something useful with non-ascii clipboard
text when pasting from the clipboard.  Emails and websites are common
sources of things like "smart quotes," em-dashes, elipses, (r) and the
like.  There are ascii equivalents in common use.  Even pasting OCTAL
ESCAPES WOULD BE BETTER THAN REFUSING TO PASTE ANYTHING.

Version-Release number of selected component (if applicable):


How reproducible:

try pasting the text of
http://en.wikipedia.org/wiki/Reality-based_community into
gnome-terminal... NO GO...  now paste it into xemacs and you see the
octal escapes...

EXPECTED RESULTS:

em-dash -> "--"
elipsis -> "..."
smart quotes -> normal quotes
etcetera...

Comment 1 Daniel Roesen 2005-05-14 23:08:57 UTC
I cannot agree more... this is major annoyance, especially when you have
a lot of text to c&p and then have to search for the "bad characters" which
prevent pasting to work...

Comment 2 Sitsofe Wheeler 2005-05-15 14:55:52 UTC
Are you using a non UTF8 character encoding (in gnome-terminal go to Terminal ->
Set Character Encoding and tell us what the Current Locale is.

Comment 3 Daniel Roesen 2005-05-15 19:07:57 UTC
Yes, ISO-8859-1 (as a result of LANG=en_US), as all system I do have
to interface with are running non-UTF8.

I still hope for the moment to come where I can toggle the "big switch"
and change all back from en_US to en_US.UTF8 but right now that's just
not practicable.

Comment 4 Stig Hackvan 2005-05-16 17:54:30 UTC
The quick fix is obvious.  Paste something always!  if it's "abcd ef gh
\001\003\126 something useful \034 more useful stuff" that's better than pasting
nothing!!!!

Comment 5 Sitsofe Wheeler 2005-05-16 22:26:24 UTC
What are these \numbers ? Unicode codepoints?

Comment 6 Ray Strode [halfline] 2005-05-16 22:44:40 UTC
Hi this report is actually talking about vte, the rendering widget used by
gnome-terminal.  I am going to reassign this to the vte component.

Comment 7 Daniel Roesen 2005-06-04 22:47:34 UTC
Warren, any comment?

Comment 8 Warren Togami 2005-06-04 22:53:06 UTC
In truth there is little Red Hat is capable of doing to improve vte at this
time.  You need to report this at upstream bugzilla.gnome.org.

I am skeptical however that anybody will put any effort into non-UTF-8 charsets
without financial incentive.  Normally the Open Source mantra is "patches
accepted", but it may not be easy or even feasible to fix this particular issue
in a way that upstream will accept.

Comment 9 Matthew Miller 2006-07-10 22:58:56 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 10 petrosyan 2008-02-05 17:02:50 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Comment 11 Daniel Roesen 2008-02-05 18:17:05 UTC
There is no INSUFFICIENT_DATA... WONTFIX is the proper "resolution", see comment
by Warren.

Comment 12 Behdad Esfahbod 2008-02-05 21:17:23 UTC
This is already fixed in F9 btw.

2007-12-10  Behdad Esfahbod  <behdad@gnome.org>

        Bug 319687 – Pasting of text containing characters not in the
        terminal's encoding silently fails

        * src/vteconv.c (_vte_conv_open): Try to open converter with
        transliteration.  Supported by GNU iconv and GLibc.




Note You need to log in before you can comment on or make changes to this bug.